#version 150

uniform mat4 proj;
uniform mat4 view;
uniform mat4 model;

in vec4 vertexPosition;
in vec3 vertexTexCoord;


out vec2 texCoord;


void main(void)
{

    texCoord = vertexTexCoord.xy;
    gl_Position = proj * view * model * vertexPosition;
}